import { SignInWithCustomAuthInput, SignInWithCustomAuthOutput } from '../types';
/**
 * Signs a user in using a custom authentication flow without password
 *
 * @param input -  The SignInWithCustomAuthInput object
 * @returns AuthSignInResult
 * @throws service: {@link InitiateAuthException } - Cognito service errors thrown during the sign-in process.
 * @throws validation: {@link AuthValidationErrorCode  } - Validation errors thrown when either username or password
 *  are not defined.
 * @throws SignInWithCustomAuthOutput - Thrown when the token provider config is invalid.
 */
export declare function signInWithCustomAuth(input: SignInWithCustomAuthInput): Promise<SignInWithCustomAuthOutput>;
