import { SignInWithCustomSRPAuthInput, SignInWithCustomSRPAuthOutput } from '../types';
/**
 * Signs a user in using a custom authentication flow with SRP
 *
 * @param input -  The SignInWithCustomSRPAuthInput object
 * @returns SignInWithCustomSRPAuthOutput
 * @throws service: {@link InitiateAuthException }, {@link RespondToAuthChallengeException } - Cognito
 * service errors thrown during the sign-in process.
 * @throws validation: {@link AuthValidationErrorCode  } - Validation errors thrown when either username or password
 *  are not defined.
 * @throws AuthTokenConfigException - Thrown when the token provider config is invalid.
 */
export declare function signInWithCustomSRPAuth(input: SignInWithCustomSRPAuthInput): Promise<SignInWithCustomSRPAuthOutput>;
