import { UpdateMFAPreferenceInput } from '../types';
import { MFAPreference } from '../types/models';
import { CognitoMFASettings } from '../../../foundation/factories/serviceClients/cognitoIdentityProvider/types';
/**
 * Updates the MFA preference of the user.
 *
 * @param input - The UpdateMFAPreferenceInput object.
 * @throws -{@link SetUserMFAPreferenceException } - Service error thrown when the MFA preference cannot be updated.
 * @throws AuthTokenConfigException - Thrown when the token provider config is invalid.
 */
export declare function updateMFAPreference(input: UpdateMFAPreferenceInput): Promise<void>;
export declare function getMFASettings(mfaPreference?: MFAPreference): CognitoMFASettings | undefined;
