import { AuthConfig, AuthTokens, FetchAuthSessionOptions, KeyValueStorageInterface } from '@aws-amplify/core';
import { DefaultTokenStore } from './TokenStore';
import { TokenOrchestrator } from './TokenOrchestrator';
import { CognitoUserPoolTokenProviderType } from './types';
export declare class CognitoUserPoolsTokenProvider implements CognitoUserPoolTokenProviderType {
    authTokenStore: DefaultTokenStore;
    tokenOrchestrator: TokenOrchestrator;
    constructor();
    getTokens({ forceRefresh }?: FetchAuthSessionOptions): Promise<AuthTokens | null>;
    setKeyValueStorage(keyValueStorage: KeyValueStorageInterface): void;
    setAuthConfig(authConfig: AuthConfig): void;
}
